package main

import "image"
import "git.tebibyte.media/tomo/x"
import "git.tebibyte.media/tomo/tomo"

func main () {
	tomo.Register(0, x.NewBackend)
	err := tomo.Run(run)
	if err != nil { panic(err) }
}

func run () {
	window, err := tomo.NewWindow(image.Rect(0, 0, 200, 300))
	if err != nil { panic(err) }
	window.OnClose(tomo.Stop)
	window.SetVisible(true)
}
